classification
Title: regrtest.py doesn't check for unexpected output anymore?
Type: Stage: resolved
Components: Tests Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, pitrou, python-dev, r.david.murray, vstinner
Priority: normal Keywords:

Created on 2011-05-16 15:14 by vstinner, last changed 2011-05-30 20:58 by python-dev. This issue is now closed.

Messages (5)
msg136103 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-05-16 15:14
In Python 3.1, a test fails if it writes to stdout/stderr. It is no more the case in Python 3.2 and 3.3. Why? If we decided to not check for unexpected output in Python 3.2+, the following code should be removed:

    if verbose:
        capture_stdout = None
    else:
        capture_stdout = io.StringIO()
msg136113 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-05-16 17:41
Antoine removed that check as part of the -j support, if I recall correctly.  The check for unexpected output was part of the support for the transition between the old pre-unittest test suite and the unittest based test suite, and does seem like it is obsolete.  Presumably we will visually spot unexpected output during pre-checkin testing.
msg136733 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-05-24 10:55
@Antoine: What's your opinion?
msg136735 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-05-24 10:59
IMO this was all obsolete long ago, when we replaced stdout-based comparison of test results with proper assert* method calls.
msg137327 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-05-30 20:58
New changeset 6051f2c93163 by Victor Stinner in branch 'default':
Close #12089: Remove outdated and unused code from regrtest.
http://hg.python.org/cpython/rev/6051f2c93163
History
Date User Action Args
2011-05-30 20:58:25python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg137327

resolution: fixed
stage: resolved
2011-05-24 10:59:23pitrousetmessages: + msg136735
2011-05-24 10:55:13vstinnersetmessages: + msg136733
2011-05-16 17:41:51r.david.murraysetnosy: + r.david.murray, pitrou
messages: + msg136113
2011-05-16 15:51:37Arfreversetnosy: + Arfrever
2011-05-16 15:14:04vstinnercreate